
import image from '@/assets/icons/ProCard/8kb.jpg'
import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'
import Evaluation from '@/assets/icons/UserCenter/Evaluation.png'
import starOn from '@/assets/icons/GuideCheck/starOn.png'
import starOff from '@/assets/icons/GuideCheck/starOff.png'
import formatTime from '@/utils/formatTime'
import Star from '@/components/Star/Star.jsx'
import { useState } from 'react'
import './style.less'




const scoreList = new Array(5).fill(0);
const score = "3.9";

export default (props) => {
  const [detail, setDetail] = useState({})

  const star = parseFloat(((detail.sweetScore + detail.environmentScore + detail.serviceScore) / 3).toFixed(1));

  const { list } = props

  return (
    <view>
      {
        list.map((item, index) => {
          return (
            <view class='wrapper-box' key={index} >
              <view class='left-complete-one'  >
                <image className='left-image-1' src={ProCard_hot}></image>
                <view className='left-viewText'>
                  返现￥{(item.cashback / 100)?.toFixed(2)}
                </view>
                <view className='title-image' >
                  <image className='image-1' mode='scaleToFill' src={item.poster || image}></image>
                  <image className='image-2' src={food}></image>
                </view>
                <view className='title-content'>
                  <view className='Pro-title'  >
                    <view className='title-text'>
                      {item.packageDescription}
                      <text className='title-money-2'>
                        数量：{item.amount}张
                      </text>
                    </view>
                  </view>
                  <text className='title-money' >￥{(item.unitPrice / 100)?.toFixed(2)}元<text className='title-money-3'>订单编号：{item.orderId}</text></text>
                  <view className='title-time'>
                    核销时间：{" "}
                    {formatTime(item.verifiedDate, "yyyy/MM/dd hh:mm")}
                  </view>
                </view>
              </view>
            </view>
          )

        })
      }
    </view>



  )
}
